package com.sxtvs.open.api.review.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class AuthResp {

    @JSONField(name = "result")
    private ResultDTO result;
    @JSONField(name = "status")
    private Integer status;
    @JSONField(name = "success")
    private Boolean success;

    @NoArgsConstructor
    @Data
    public static class ResultDTO {
        @JSONField(name = "authorizedCode")
        private String authorizedCode;
        @JSONField(name = "message")
        private Object message;
    }
}
